script.on_event(defines.events.on_tick, function ()
    for _, player in pairs(game.players) do
        if player.gui.screen["gui-bug-frame"]
            then return end
        local frame = player.gui.screen.add({
            type = "frame",
            name = "gui-bug-frame",
            caption = "GUI bug"
        })
        frame.auto_center = true
        frame.add({
            type = "button",
            name = "choose-1",
            caption = "Enable the first one"
        })
        frame.add({
            type = "choose-elem-button",
            name = "choose-2",
            enabled = false,
            elem_type = "recipe"
        })
        frame.add({
            type = "choose-elem-button",
            name = "choose-3",
            elem_type = "recipe"
        })
    end
end)

script.on_event(defines.events.on_gui_click, function (event)
    if event.element.name == "choose-1" then
        event.element.parent["choose-2"].enabled = true
        if script.active_mods["space-age"] ~= nil then
            event.element.parent["choose-2"].elem_filters = {{
                filter = "category",
                category = "crafting"
            }}
        end
    end
end)
